// Generated by gencpp from file pick_and_delivery/LoginName.msg
// DO NOT EDIT!


#ifndef PICK_AND_DELIVERY_MESSAGE_LOGINNAME_H
#define PICK_AND_DELIVERY_MESSAGE_LOGINNAME_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace pick_and_delivery
{
template <class ContainerAllocator>
struct LoginName_
{
  typedef LoginName_<ContainerAllocator> Type;

  LoginName_()
    : name()
    , log(false)  {
    }
  LoginName_(const ContainerAllocator& _alloc)
    : name(_alloc)
    , log(false)  {
  (void)_alloc;
    }



   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _name_type;
  _name_type name;

   typedef uint8_t _log_type;
  _log_type log;





  typedef boost::shared_ptr< ::pick_and_delivery::LoginName_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::pick_and_delivery::LoginName_<ContainerAllocator> const> ConstPtr;

}; // struct LoginName_

typedef ::pick_and_delivery::LoginName_<std::allocator<void> > LoginName;

typedef boost::shared_ptr< ::pick_and_delivery::LoginName > LoginNamePtr;
typedef boost::shared_ptr< ::pick_and_delivery::LoginName const> LoginNameConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::pick_and_delivery::LoginName_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::pick_and_delivery::LoginName_<ContainerAllocator> >::stream(s, "", v);
return s;
}


template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator==(const ::pick_and_delivery::LoginName_<ContainerAllocator1> & lhs, const ::pick_and_delivery::LoginName_<ContainerAllocator2> & rhs)
{
  return lhs.name == rhs.name &&
    lhs.log == rhs.log;
}

template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator!=(const ::pick_and_delivery::LoginName_<ContainerAllocator1> & lhs, const ::pick_and_delivery::LoginName_<ContainerAllocator2> & rhs)
{
  return !(lhs == rhs);
}


} // namespace pick_and_delivery

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsFixedSize< ::pick_and_delivery::LoginName_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::pick_and_delivery::LoginName_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct IsMessage< ::pick_and_delivery::LoginName_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::pick_and_delivery::LoginName_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::pick_and_delivery::LoginName_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::pick_and_delivery::LoginName_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::pick_and_delivery::LoginName_<ContainerAllocator> >
{
  static const char* value()
  {
    return "6949c869b9f974ee2e8f6741c95510d2";
  }

  static const char* value(const ::pick_and_delivery::LoginName_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x6949c869b9f974eeULL;
  static const uint64_t static_value2 = 0x2e8f6741c95510d2ULL;
};

template<class ContainerAllocator>
struct DataType< ::pick_and_delivery::LoginName_<ContainerAllocator> >
{
  static const char* value()
  {
    return "pick_and_delivery/LoginName";
  }

  static const char* value(const ::pick_and_delivery::LoginName_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::pick_and_delivery::LoginName_<ContainerAllocator> >
{
  static const char* value()
  {
    return "string name\n"
"bool log\n"
;
  }

  static const char* value(const ::pick_and_delivery::LoginName_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::pick_and_delivery::LoginName_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.name);
      stream.next(m.log);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct LoginName_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::pick_and_delivery::LoginName_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::pick_and_delivery::LoginName_<ContainerAllocator>& v)
  {
    s << indent << "name: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.name);
    s << indent << "log: ";
    Printer<uint8_t>::stream(s, indent + "  ", v.log);
  }
};

} // namespace message_operations
} // namespace ros

#endif // PICK_AND_DELIVERY_MESSAGE_LOGINNAME_H
